/* 
HEADER
*/
#project_p-header {margin-bottom: var(--size-m);}
#project_p-header > * {grid-column: 1/-1;}

#project_p-back {
    margin-bottom: var(--size-m);
    width: fit-content;
    height: fit-content;
}

#project_p-title_info {
    row-gap: calc(var(--size-xs) + 2px);
    margin-bottom: var(--size);
}
#project_p-title_info .--info {column-gap: var(--size);}

#project_p-description {margin-bottom: var(--size-m);}

#project_p-credits {margin-bottom: var(--size-m);}
#project_p-credits a {
    display: inline !important;
    color: var(--c-grey_solid) !important;
}

#project_p-services {
    gap: var(--size-s);
    height: fit-content;
}

@media only screen and (min-width: 768px) {
    #project_p-header {margin-bottom: var(--size);}

    #project_p-back {grid-row: 1;}
    #project_p-title_info {
        grid-column: 1/4;
        grid-row: 2/4;
        margin-bottom: 0;
    }
    #project_p-description {
        grid-column: 4/-1;
        grid-row: 2;
    }
    #project_p-credits {
        grid-column: 4/-1;
        grid-row: 3;
    }
    #project_p-services {
        grid-column: 4/-1;
        grid-row: 4;
    }
}

@media only screen and (min-width: 1096px) {
    #project_p-header {margin-bottom: var(--size-xl);}

    #project_p-back {grid-column: 1/3;}
    #project_p-title_info {grid-column: 3/6; grid-row: 1; row-gap: calc(var(--size-xs) + 4px);}
    #project_p-services {grid-column: 6/8; grid-row: 1;}
    #project_p-description {grid-column: 8/-1; grid-row: 1; margin-bottom: 0;}
    #project_p-credits {grid-column: 8/-1; grid-row: 2; margin: var(--size-m) 0 0;}
}

@media (hover: hover) {
    #project_p-back {transition: color 200ms;}
    #project_p-back:hover {color: var(--c-grey_solid) !important;}

    #project_p-credits a:hover {text-decoration: underline !important;}
}



/* 
FEED
*/
#project_p-feed {transition: background 200ms;}

#project_p-feed,
.project_p-feed-column {row-gap: var(--size);}

.project_p-feed-row .project_p-feed-column:not(.--empty) {margin-bottom: var(--size);}
.project_p-feed-row .project_p-feed-column:last-of-type {margin-bottom: 0;}

.project_p-feed-column {grid-column: 1/-1;}

@media only screen and (min-width: 768px) {
    .project_p-feed-row {row-gap: var(--size);}
    .project_p-feed-row .project_p-feed-column:not(.--empty) {margin-bottom: 0;}

    .project_p-feed-column[data-span="1/1"] {grid-column: 1/-1;}
    .project_p-feed-column[data-span="1/2"] {grid-column: span 6;}
    .project_p-feed-row[data-columns="3"] .project_p-feed-column[data-span="1/3"] {grid-column: span 4;}
    .project_p-feed-row[data-columns="2"] .project_p-feed-column[data-span="1/3"] {grid-column: span 5;}
    .project_p-feed-column[data-span="2/3"] {grid-column: span 7;}
    .project_p-feed-column[data-span="1/4"] {grid-column: span 3}
}

@media only screen and (min-width: 1096px) {
    .project_p-feed-row[data-columns="2"] .project_p-feed-column[data-span="1/3"]:nth-of-type(1) {margin-left: calc(calc(calc(100vw - 13rem) / 12) * 2 + 3rem);}
    .project_p-feed-row[data-columns="2"] .project_p-feed-column[data-span="1/3"]:nth-of-type(2) {margin-right: calc(calc(calc(100vw - 13rem) / 12) * 2 + 3rem);}

}




/* 
RELATED
*/
#project_p-related {margin-top: var(--size-xxxl);}
#project_p-related > div {
    margin-top: var(--size-s);
    row-gap: var(--size-m);
}
#project_p-related dd {grid-column: 1/-1;}
@media only screen and (min-width: 768px) {
    #project_p-related dd {grid-column: span 3;}
}